
public class Class75 implements Interface5 {

   Class362 aClass362_696;
   Class253 aClass253_697;
   Class171 aClass171_698;
   public static Class253 aClass253_699;


   Class75(Class253 var1, Class362 var2) {
      this.aClass253_697 = var1;
      this.aClass362_696 = var2;
   }

   public void method13(int var1) {
      this.aClass171_698 = Class34.method880(this.aClass253_697, -1850097451 * this.aClass362_696.anInt4504, -2145377515);
   }

   public boolean method19() {
      return this.aClass253_697.method4507(-1850097451 * this.aClass362_696.anInt4504, -1723569615);
   }

   public void method14() {
      this.aClass171_698 = Class34.method880(this.aClass253_697, -1850097451 * this.aClass362_696.anInt4504, 458275336);
   }

   public boolean method20() {
      return this.aClass253_697.method4507(-1850097451 * this.aClass362_696.anInt4504, -440015847);
   }

   public void method15(boolean var1) {
      if(var1) {
         int var2 = this.aClass362_696.aClass382_4503.method6601(this.aClass171_698.method94(), 533440115 * client.anInt7796, -1345312713) + 194732295 * this.aClass362_696.anInt4505;
         int var3 = this.aClass362_696.aClass365_4502.method6494(this.aClass171_698.method2969(), 1986437735 * client.anInt7797, (byte)2) + this.aClass362_696.anInt4506 * 1692315675;
         this.aClass171_698.method2926(var2, var3);
      }

   }

   public void method16(boolean var1) {
      if(var1) {
         int var2 = this.aClass362_696.aClass382_4503.method6601(this.aClass171_698.method94(), 533440115 * client.anInt7796, -1257329213) + 194732295 * this.aClass362_696.anInt4505;
         int var3 = this.aClass362_696.aClass365_4502.method6494(this.aClass171_698.method2969(), 1986437735 * client.anInt7797, (byte)2) + this.aClass362_696.anInt4506 * 1692315675;
         this.aClass171_698.method2926(var2, var3);
      }

   }

   public void method11(boolean var1, byte var2) {
      if(var1) {
         int var3 = this.aClass362_696.aClass382_4503.method6601(this.aClass171_698.method94(), 533440115 * client.anInt7796, 1340395187) + 194732295 * this.aClass362_696.anInt4505;
         int var4 = this.aClass362_696.aClass365_4502.method6494(this.aClass171_698.method2969(), 1986437735 * client.anInt7797, (byte)2) + this.aClass362_696.anInt4506 * 1692315675;
         this.aClass171_698.method2926(var3, var4);
      }

   }

   public boolean method18() {
      return this.aClass253_697.method4507(-1850097451 * this.aClass362_696.anInt4504, -1621787087);
   }

   public boolean method12(byte var1) {
      return this.aClass253_697.method4507(-1850097451 * this.aClass362_696.anInt4504, -1868204514);
   }

   public boolean method17() {
      return this.aClass253_697.method4507(-1850097451 * this.aClass362_696.anInt4504, 1255002677);
   }

   public static byte[][][] method1616(int var0, byte var1) {
      byte[][][] var2 = new byte[8][4][];
      int var3 = var0;
      int var4 = var0;
      byte[] var5 = new byte[var0 * var0];
      int var6 = 0;

      int var7;
      int var8;
      for(var7 = 0; var7 < var4; ++var7) {
         for(var8 = 0; var8 < var3; ++var8) {
            if(var8 <= var7) {
               var5[var6] = -1;
            }

            ++var6;
         }
      }

      var2[0][0] = var5;
      var5 = new byte[var4 * var3];
      var6 = 0;

      for(var7 = var4 - 1; var7 >= 0; --var7) {
         for(var8 = 0; var8 < var4; ++var8) {
            if(var8 <= var7) {
               var5[var6] = -1;
            }

            ++var6;
         }
      }

      var2[0][1] = var5;
      var5 = new byte[var3 * var4];
      var6 = 0;

      for(var7 = 0; var7 < var4; ++var7) {
         for(var8 = 0; var8 < var3; ++var8) {
            if(var8 >= var7) {
               var5[var6] = -1;
            }

            ++var6;
         }
      }

      var2[0][2] = var5;
      var5 = new byte[var4 * var3];
      var6 = 0;

      for(var7 = var4 - 1; var7 >= 0; --var7) {
         for(var8 = 0; var8 < var3; ++var8) {
            if(var8 >= var7) {
               var5[var6] = -1;
            }

            ++var6;
         }
      }

      var2[0][3] = var5;
      var5 = new byte[var4 * var3];
      var6 = 0;

      for(var7 = var4 - 1; var7 >= 0; --var7) {
         for(var8 = 0; var8 < var3; ++var8) {
            if(var8 <= var7 >> 1) {
               var5[var6] = -1;
            }

            ++var6;
         }
      }

      var2[1][0] = var5;
      var5 = new byte[var4 * var3];
      var6 = 0;

      for(var7 = 0; var7 < var4; ++var7) {
         for(var8 = 0; var8 < var3; ++var8) {
            if(var6 >= 0 && var6 < var5.length) {
               if(var8 >= var7 << 1) {
                  var5[var6] = -1;
               }

               ++var6;
            } else {
               ++var6;
            }
         }
      }

      var2[1][1] = var5;
      var5 = new byte[var3 * var4];
      var6 = 0;

      for(var7 = 0; var7 < var4; ++var7) {
         for(var8 = var3 - 1; var8 >= 0; --var8) {
            if(var8 <= var7 >> 1) {
               var5[var6] = -1;
            }

            ++var6;
         }
      }

      var2[1][2] = var5;
      var5 = new byte[var4 * var3];
      var6 = 0;

      for(var7 = var4 - 1; var7 >= 0; --var7) {
         for(var8 = var3 - 1; var8 >= 0; --var8) {
            if(var8 >= var7 << 1) {
               var5[var6] = -1;
            }

            ++var6;
         }
      }

      var2[1][3] = var5;
      var5 = new byte[var3 * var4];
      var6 = 0;

      for(var7 = var4 - 1; var7 >= 0; --var7) {
         for(var8 = var3 - 1; var8 >= 0; --var8) {
            if(var8 <= var7 >> 1) {
               var5[var6] = -1;
            }

            ++var6;
         }
      }

      var2[2][0] = var5;
      var5 = new byte[var4 * var3];
      var6 = 0;

      for(var7 = var4 - 1; var7 >= 0; --var7) {
         for(var8 = 0; var8 < var3; ++var8) {
            if(var8 >= var7 << 1) {
               var5[var6] = -1;
            }

            ++var6;
         }
      }

      var2[2][1] = var5;
      var5 = new byte[var4 * var3];
      var6 = 0;

      for(var7 = 0; var7 < var4; ++var7) {
         for(var8 = 0; var8 < var3; ++var8) {
            if(var8 <= var7 >> 1) {
               var5[var6] = -1;
            }

            ++var6;
         }
      }

      var2[2][2] = var5;
      var5 = new byte[var3 * var4];
      var6 = 0;

      for(var7 = 0; var7 < var4; ++var7) {
         for(var8 = var3 - 1; var8 >= 0; --var8) {
            if(var8 >= var7 << 1) {
               var5[var6] = -1;
            }

            ++var6;
         }
      }

      var2[2][3] = var5;
      var5 = new byte[var3 * var4];
      var6 = 0;

      for(var7 = var4 - 1; var7 >= 0; --var7) {
         for(var8 = 0; var8 < var3; ++var8) {
            if(var8 >= var7 >> 1) {
               var5[var6] = -1;
            }

            ++var6;
         }
      }

      var2[3][0] = var5;
      var5 = new byte[var3 * var4];
      var6 = 0;

      for(var7 = 0; var7 < var4; ++var7) {
         for(var8 = 0; var8 < var3; ++var8) {
            if(var8 <= var7 << 1) {
               var5[var6] = -1;
            }

            ++var6;
         }
      }

      var2[3][1] = var5;
      var5 = new byte[var3 * var4];
      var6 = 0;

      for(var7 = 0; var7 < var4; ++var7) {
         for(var8 = var3 - 1; var8 >= 0; --var8) {
            if(var8 >= var7 >> 1) {
               var5[var6] = -1;
            }

            ++var6;
         }
      }

      var2[3][2] = var5;
      var5 = new byte[var3 * var4];
      var6 = 0;

      for(var7 = var4 - 1; var7 >= 0; --var7) {
         for(var8 = var3 - 1; var8 >= 0; --var8) {
            if(var8 <= var7 << 1) {
               var5[var6] = -1;
            }

            ++var6;
         }
      }

      var2[3][3] = var5;
      var5 = new byte[var4 * var3];
      var6 = 0;

      for(var7 = var4 - 1; var7 >= 0; --var7) {
         for(var8 = var3 - 1; var8 >= 0; --var8) {
            if(var8 >= var7 >> 1) {
               var5[var6] = -1;
            }

            ++var6;
         }
      }

      var2[4][0] = var5;
      var5 = new byte[var4 * var3];
      var6 = 0;

      for(var7 = var4 - 1; var7 >= 0; --var7) {
         for(var8 = 0; var8 < var3; ++var8) {
            if(var8 <= var7 << 1) {
               var5[var6] = -1;
            }

            ++var6;
         }
      }

      var2[4][1] = var5;
      var5 = new byte[var3 * var4];
      var6 = 0;

      for(var7 = 0; var7 < var4; ++var7) {
         for(var8 = 0; var8 < var3; ++var8) {
            if(var8 >= var7 >> 1) {
               var5[var6] = -1;
            }

            ++var6;
         }
      }

      var2[4][2] = var5;
      var5 = new byte[var3 * var4];
      var6 = 0;

      for(var7 = 0; var7 < var4; ++var7) {
         for(var8 = var3 - 1; var8 >= 0; --var8) {
            if(var8 <= var7 << 1) {
               var5[var6] = -1;
            }

            ++var6;
         }
      }

      var2[4][3] = var5;
      var5 = new byte[var4 * var3];
      var6 = 0;

      for(var7 = 0; var7 < var4; ++var7) {
         for(var8 = 0; var8 < var3; ++var8) {
            if(var8 <= var3 / 2) {
               var5[var6] = -1;
            }

            ++var6;
         }
      }

      var2[5][0] = var5;
      var5 = new byte[var3 * var4];
      var6 = 0;

      for(var7 = 0; var7 < var4; ++var7) {
         for(var8 = 0; var8 < var3; ++var8) {
            if(var7 <= var4 / 2) {
               var5[var6] = -1;
            }

            ++var6;
         }
      }

      var2[5][1] = var5;
      var5 = new byte[var4 * var3];
      var6 = 0;

      for(var7 = 0; var7 < var4; ++var7) {
         for(var8 = 0; var8 < var3; ++var8) {
            if(var8 >= var3 / 2) {
               var5[var6] = -1;
            }

            ++var6;
         }
      }

      var2[5][2] = var5;
      var5 = new byte[var4 * var3];
      var6 = 0;

      for(var7 = 0; var7 < var4; ++var7) {
         for(var8 = 0; var8 < var3; ++var8) {
            if(var7 >= var4 / 2) {
               var5[var6] = -1;
            }

            ++var6;
         }
      }

      var2[5][3] = var5;
      var5 = new byte[var4 * var3];
      var6 = 0;

      for(var7 = 0; var7 < var4; ++var7) {
         for(var8 = 0; var8 < var3; ++var8) {
            if(var8 <= var7 - var4 / 2) {
               var5[var6] = -1;
            }

            ++var6;
         }
      }

      var2[6][0] = var5;
      var5 = new byte[var3 * var4];
      var6 = 0;

      for(var7 = var4 - 1; var7 >= 0; --var7) {
         for(var8 = 0; var8 < var3; ++var8) {
            if(var8 <= var7 - var4 / 2) {
               var5[var6] = -1;
            }

            ++var6;
         }
      }

      var2[6][1] = var5;
      var5 = new byte[var3 * var4];
      var6 = 0;

      for(var7 = var4 - 1; var7 >= 0; --var7) {
         for(var8 = var3 - 1; var8 >= 0; --var8) {
            if(var8 <= var7 - var4 / 2) {
               var5[var6] = -1;
            }

            ++var6;
         }
      }

      var2[6][2] = var5;
      var5 = new byte[var3 * var4];
      var6 = 0;

      for(var7 = 0; var7 < var4; ++var7) {
         for(var8 = var3 - 1; var8 >= 0; --var8) {
            if(var8 <= var7 - var4 / 2) {
               var5[var6] = -1;
            }

            ++var6;
         }
      }

      var2[6][3] = var5;
      var5 = new byte[var4 * var3];
      var6 = 0;

      for(var7 = 0; var7 < var4; ++var7) {
         for(var8 = 0; var8 < var3; ++var8) {
            if(var8 >= var7 - var4 / 2) {
               var5[var6] = -1;
            }

            ++var6;
         }
      }

      var2[7][0] = var5;
      var5 = new byte[var3 * var4];
      var6 = 0;

      for(var7 = var4 - 1; var7 >= 0; --var7) {
         for(var8 = 0; var8 < var3; ++var8) {
            if(var8 >= var7 - var4 / 2) {
               var5[var6] = -1;
            }

            ++var6;
         }
      }

      var2[7][1] = var5;
      var5 = new byte[var3 * var4];
      var6 = 0;

      for(var7 = var4 - 1; var7 >= 0; --var7) {
         for(var8 = var3 - 1; var8 >= 0; --var8) {
            if(var8 >= var7 - var4 / 2) {
               var5[var6] = -1;
            }

            ++var6;
         }
      }

      var2[7][2] = var5;
      var5 = new byte[var3 * var4];
      var6 = 0;

      for(var7 = 0; var7 < var4; ++var7) {
         for(var8 = var3 - 1; var8 >= 0; --var8) {
            if(var8 >= var7 - var4 / 2) {
               var5[var6] = -1;
            }

            ++var6;
         }
      }

      var2[7][3] = var5;
      return var2;
   }

   public static Class536_Sub1 method1617(int var0, int var1) {
      return Class530.aBool7212 && var0 >= Class396.anInt4884 * -168946739 && var0 <= Class530.anInt7211 * 889857237?Class530.aClass536_Sub1Array7213[var0 - Class396.anInt4884 * -168946739]:null;
   }

   public static boolean method1618(int var0, int var1) {
      boolean var10000;
      if((var0 & -var0) == var0) {
         if(var1 != 98312473) {
            ;
         }

         var10000 = true;
      } else {
         var10000 = false;
      }

      return var10000;
   }

   public static final void method1619(long var0) {
      if(var0 > 0L) {
         if(var0 % 10L == 0L) {
            Class435.method7340(var0 - 1L);
            Class435.method7340(1L);
         } else {
            Class435.method7340(var0);
         }

      }
   }

   static final void method1620(Class124 var0, Class121 var1, Class508 var2, int var3) {
      var0.aString1515 = (String)var2.anObjectArray6004[(var2.anInt6005 -= -46848683) * 639741949];
   }

   static final void method1621(Class508 var0, int var1) {
      Class505 var10000;
      if(var0.aBool6014) {
         if(var1 >= -1885095291) {
            ;
         }

         var10000 = var0.aClass505_6011;
      } else {
         var10000 = var0.aClass505_6010;
      }

      Class505 var2 = var10000;
      Class124 var3 = var2.aClass124_5977;
      Class121 var4 = var2.aClass121_5978;
      Class294.method5331(var3, var4, var0, -1737070705);
   }

   public static Class171 method1622(Class545 var0, int var1, int var2) {
      Class225_Sub2 var3 = (Class225_Sub2)Class489.aClass423_5910.method7211((long)var1);
      if(null != var3) {
         Class225_Sub45_Sub3 var4 = var3.aClass221_Sub1_8365.method3793(1937322423);
         var3.aBool8368 = true;
         if(null != var4) {
            Class489.aClass479_5909.aClass545_5843 = var0;
            return (Class171)var4.method16083(Class489.aClass479_5909, (short)-4640);
         }
      }

      return null;
   }
}
